| Home | Libraries | People | FAQ | More

###### string::string (9 of 12 overloads)

Constructor.

###### Synopsis

    string(
        string const& other,
        storage_ptr sp);

###### Description

Construct the contents with a copy of `other`.

###### Complexity

Linear in `other.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`other` | The string to use as a source to copy from.
`sp` | An optional pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource. The default argument for this parameter is `{}`.